/**
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *  Este programa é software livre; você pode redistribuí-lo e/ou
 *  modificá-lo sob os termos da Licença Pública Geral GNU, conforme
 *  publicada pela Free Software Foundation; tanto a versão 2 da
 *  Licença como (a seu critério) qualquer versão mais nova.
 *
 *  Este programa é distribuído na expectativa de ser útil, mas SEM
 *  QUALQUER GARANTIA; sem mesmo a garantia implícita de
 *  COMERCIALIZAÇÃO ou de ADEQUAÇÃO A QUALQUER PROPÓSITO EM
 *  PARTICULAR. Consulte a Licença Pública Geral GNU para obter mais
 *  detalhes.
 *
 *  Você deve ter recebido uma cópia da Licença Pública Geral GNU
 *  junto com este programa; se não, escreva para a Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307, USA.
 */

/**
 *
 * @Autores Bruno Teofilo Frassetto
 *          Fernando Augusto Leite
 *
 * -        Instituto Federal de Santa Catarina
 * -        Campus São José
 *
 *          Projeto POO - 2010.1
 *          Jogo de Damas
 * Prof.    Emerson Ribeiro de Mello
 */

package gui;

public class SobreDialog extends javax.swing.JDialog {
    //Criando atributos;

    private Principal pai;

    /** Creates new form SobreDialog */
    public SobreDialog(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        this.setLocationRelativeTo(parent);
        this.pai = (Principal) parent;
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jLabel1.setText("Regras do jogo:");

        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setFont(new java.awt.Font("DejaVu Sans", 0, 10)); // NOI18N
        jTextArea1.setRows(5);
        jTextArea1.setText(" - O jogo de damas é praticado em um tabuleiro de 64 casas claras e escuras.\n - A grande diagonal (escura), deve ficar sempre à esquerda de cada jogador.  \n - O objetivo do jogo é imobilizar ou capturar todas as peças do adversário.\n - O jogo de damas é praticado entre dois parceiros, com 12 pedras brancas de\num lado e com 12 pedras pretas de outro lado.\n - O lance inicial cabe sempre a quem estiver com as peças brancas.\n - A pedra anda só para frente, uma casa de cada vez. \n - Quando a pedra atinge a oitava linha do tabuleiro ela é promovida à dama.\n - A dama é uma peça de movimentos mais amplos. \n - Ela anda para frente e para trás, quantas casas quiser.\n - A dama não pode saltar uma peça da mesma cor.\n - A pedra captura a dama e a dama captura a pedra. \n - Pedra e dama têm o mesmo valor para capturarem ou serem capturadas.\n - A pedra e a dama podem capturar tanto para frente como para trás.\n - Se no mesmo lance se apresentar mais de um modo de capturar, \né obrigatório executar o lance que capture o maior número de peças .\n - A pedra que durante o lance de captura de várias peças, \napenas passe por qualquer casa de coroação, sem aí parar, \nnão será promovida à dama.\n - Na execução do lance de captura, não é permitido capturar a mesma peça mais \nde uma vez e as peças capturadas não podem ser retiradas do tabuleiro antes de \ncompletar o lance de captura.\n - Empate:\nApós 20 lances sucessivos de damas, sem captura ou deslocamento de pedra, \na partida é declarada empatada.");
        jTextArea1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jScrollPane1.setViewportView(jTextArea1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 424, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(12, 12, 12)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 242, Short.MAX_VALUE)
                .addGap(18, 18, 18))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                //iniciando Novo JFrame
                SobreDialog dialog = new SobreDialog(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {

                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        //metodo para feixar o Jframe
                        System.exit(0);
                    }
                });
                //Deixando Visivel o dialog
                dialog.setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextArea1;
    // End of variables declaration//GEN-END:variables
}
